Skip to content
View as Markdown

POST Create Funnel​

POST
/funnels

Create a new automation funnel. The funnel is created in draft status. If no title is provided, a default title is generated from the trigger label and current date.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"funnel": {
"trigger_name": "string",
"title": "string",
"description": "string"
}
}

Responses​

Funnel created successfully.

application/json
JSON
{
"funnel": {
"id": 0,
"title": "string",
"trigger_name": "string",
"status": "string",
"conditions": [
{
}
],
"settings": {
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"subscribers_count": 0,
"description": "string",
"labels": [
]
},
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI